define [], ->

  @Pro.module 'HostsApp', (HostsApp, App) ->

    class HostsApp.Router extends Marionette.AppRouter

      appRoutes:
        "hosts/:host_id": "show"
        "hosts/:host_id/:tab": "show"

    API =
      show: (host_id, tab) ->
        loading = true
        _.delay((=> if loading then App.execute 'loadingOverlay:show'), 50)
        initProRequire [
          '<%= javascript_path("hosts/backbone/controllers/host_view_controller") %>'
        ], (HostViewController) ->
          loading = false
          App.execute 'loadingOverlay:hide'
          hostController = new HostViewController(id: host_id)
          hostController.Tab(tab ? 'services', App.mainRegion)

    App.addInitializer =>
      new HostsApp.Router(controller: API)
